Package org.apache.tapestry5.internal.services

## Class ProductionModeUnknownComponentFilter

- java.lang.Object
- - org.apache.tapestry5.internal.services.ProductionModeUnknownComponentFilter

- All Implemented Interfaces:
    `ComponentRequestFilter`

      public class ProductionModeUnknownComponentFilter
      extends java.lang.Object
      implements ComponentRequestFilter

  A filter, used only in production mode, that does a "pre-flight check" that the indicated component actually exists. If it does not, then the handling of the component event is aborted and other hooks will ensure that request ultimately becomes a 404.
  Since:
    5.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProductionModeUnknownComponentFilter​(Request request, RequestPageCache cache)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleComponentEvent​(ComponentEventRequestParameters parameters, ComponentRequestHandler handler)` | Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
    `void` | `handlePageRender​(PageRenderRequestParameters parameters, ComponentRequestHandler handler)` | Invoked to activate and render a page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductionModeUnknownComponentFilter

          public ProductionModeUnknownComponentFilter​(Request request,
                                                      RequestPageCache cache)

  - ### Method Detail

    - #### handleComponentEvent

          public void handleComponentEvent​(ComponentEventRequestParameters parameters,
                                           ComponentRequestHandler handler)
                                    throws java.io.IOException

      Description copied from interface: `ComponentRequestFilter`
      Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
      Specified by:
        `handleComponentEvent` in interface `ComponentRequestFilter`
      Parameters:
        `parameters` - defining the requst
        `handler` - next handler in the pipeline
      Throws:
        `java.io.IOException`

    - #### handlePageRender

          public void handlePageRender​(PageRenderRequestParameters parameters,
                                       ComponentRequestHandler handler)
                                throws java.io.IOException

      Description copied from interface: `ComponentRequestFilter`
      Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
      Specified by:
        `handlePageRender` in interface `ComponentRequestFilter`
      Parameters:
        `parameters` - defines the page name and activation context
        `handler` - next handler in the pipeline
      Throws:
        `java.io.IOException`